SystemOrganization addCategory: #GODBasesTests!

TestCase subclass: #GDBDataTest
	instanceVariableNames: 'gdbData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODBasesTests'!

!GDBDataTest methodsFor: 'initialize-release' stamp: 'lacm 10/19/2014 19:36'!
setUp
	gdbData := GDBData new.
							
! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 10/19/2014 19:54'!
testAddDuplicateGBDData
											
	"						
GDBDataBase database add: (gdbData  addTimestamp: '19/10/2014' addOrigin: 'my origin'
	                addAuthor: 'my favorite author' addTitle: 'some title'
	 		    addContent: 'my content' addTags: 'a collection of tag'
			    addWidth: 5 addHeight: 6 
			    addLayoutGridRowSize: 3 addColumnSize: 3).
			
self should: [GDBDataBase database add: (gdbData  addTimestamp: '19/10/2014' addOrigin: 'my origin'
	                addAuthor: 'my favorite author' addTitle: 'some title'
	 		    addContent: 'my content' addTags: 'a collection of tag'
			    addWidth: 5 addHeight: 6 
			    addLayoutGridRowSize: 3 addColumnSize: 3).] raise: Error.
"! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 10/19/2014 19:56'!
testCreateAuthor
	gdbData author: 'my favorite author'.	
	self assert: (gdbData author size) >=1.
! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 10/19/2014 19:57'!
testCreateLayoutGrid	
	gdbData layoutGridRowSize: 3 columnSize: 3.
	self assert: (gdbData layoutGrid size) = 9.! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 10/19/2014 20:00'!
testCreateTimestamp
	gdbData timestamp: '19/10/2014'.	
	self assert: (gdbData timestamp value) >'18/10/2014'.
! !
